ping_get_error(3)

NAME
ping_get_error - Return the last error message

SYNOPSIS
  #include <oping.h>

  const char *ping_get_error (pingobj_t *obj);

DESCRIPTION
The ping_get_error method returns an error message indicating the last error encountered. This method is not thread safe whatsoever.

RETURN VALUE
A "const" string representing the last error or an empty string if no error was encountered yet.

SEE ALSO
liboping(3)

AUTHOR
liboping is written by Florian "octo" Forster <octo at verplant.org>. Its homepage can be found at <http://verplant.org/liboping/>.

Copyright (c) 2005-2011 by Florian "octo" Forster.